Subject: [bitcoin-dev] Hierarchical Deterministic Script Templates

From: "Eric Lombrozo" <[email-masked]>
Date: Sat, 21 Nov 2015 03:29:46 +0000

A while back, I started working with William Swanson on a script 
template format to allow for interoperability in accounts between 
different wallets. We made some progress, but both of us got pretty busy 
with other projects and general interest was still quite low.

It seems interest has picked up again, especially in light of recent 
developments (i.e. CLTV, relative CLTV, bidirectional payment channels, 
lightning), where nongeneralized script formats will not readily support 
the rapidly advancing state-of-the-art in script design.

I have started working on a draft for such a standard: 
https://github.com/bitcoin/bips/pull/246

Comments, suggestions, and collaboration are welcome.

- Eric